Ctrl + C removes text (and cannot be undone through shortcut keys)
Closed, ResolvedPublic

Description

Ctrl+C, rather than copying text, deletes it entirely. Any attempt to undo this via shortcut keys fails; Ctrl+Z does not work. Found in firefox 17.0, and Firefox 21.0 on Windows 7.


Version: unspecified
Severity: normal

bzimport set Reference to bz49816.
Ironholds created this task.Via LegacyJun 19 2013, 1:36 PM
gpaumier added a comment.Via ConduitJun 19 2013, 3:20 PM

Not sure if this is exactly the same issue, but here Ctrl+C is replaced by the "chess piece" character: ♙ ; Ctrl+V inputs the same character. Ctrl+Z doesn't work either. Observed in Firefox 21 on openSUSE 12.3

bzimport added a comment.Via ConduitJun 19 2013, 4:22 PM

dgerard wrote:

Here's a test I did on [[:en:The Wolfgang Press]]:

  1. Open [[The Wolfgang Press]], open edit in VE.
  2. Select the first wikilink to [[English]] (which is actually a piped link to [[England]]).
  3. Ctrl-X to cut, Ctrl-V to paste at end of second paragraph. You will see a white pawn.
  4. If you hit Ctrl-Z twice, you will see a white pawn appear at the point where the link to [[English]] was.

I saved it, here's the edit - you'll see the link is a white pawn linking to [[England]]. Note how VE also added a gratuitous pawn link to [[Rema-Rema]] lower down the page:

http://en.wikipedia.org/w/index.php?title=The_Wolfgang_Press&diff=560611809&oldid=555123900

Jdforrester-WMF added a comment.Via ConduitJun 19 2013, 10:24 PM

Fixed (I think) in gerrit 69503 which we will deploy this afternoon.

gpaumier added a comment.Via ConduitJun 22 2013, 6:16 PM

Was this actually deployed? Because I can still reproduce the issue (Firefox 12.1, fr.wp); Ctrl+C removes the content, and Ctrl+V inserts the pawn character.

Jdforrester-WMF added a comment.Via ConduitJun 23 2013, 3:43 PM

(In reply to comment #4)

Was this actually deployed? Because I can still reproduce the issue (Firefox
12.1, fr.wp); Ctrl+C removes the content, and Ctrl+V inserts the pawn
character.

Sorry, this didn't get deployed until yesterday. :-( Should now be fixed.

Ironholds added a comment.Via ConduitJun 23 2013, 3:47 PM

Yep; confirm in production on enwp that copy/pasting now works like a dream. Thanks, VE team! :)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.